View Issue Details

IDProjectCategoryView StatusLast Update
12726Bug reports[All Projects] Translationpublic2018-01-24 15:50
ReporterDenisChenu Assigned Toc_schmitz  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.0.0-beta.x 
Target VersionFixed in Version3.0.x 
Summary12726: Core menu are untranslated (using po/mo file)
Description

Survey participants translation exist is mo file from 2.5, but not translated in 3.0.

Steps To Reproduce

Set language to french, and look at Survey partcipant : https://translate.limesurvey.org/projects/limesurvey-25/fr/default/?filters%5Bterm%5D=Survey+participants&filters%5Buser_login%5D=&filters%5Bstatus%5D=current_or_waiting_or_fuzzy_or_untranslated&filter=Filter&sort%5Bby%5D=priority&sort%5Bhow%5D=desc

It's not translated, even if exist in mo file.

Additional Information

Moving translation to database is a major change for developer.
And it make hard too for plugin dev to manage language file for plugin menu …

And why all current menu are set to language en_GB … default MUST be en .

TagsNo tags attached.
Complete LimeSurvey version number (& build)20170927
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 12759 assignedollehar Development  Idea for translation 

Activities

DenisChenu

DenisChenu

2017-09-27 20:07

developer   ~44504

Auto assigment ?

Else : then any user can delete a core menu

You really have good user … a friend of mine have a checkbox to delete whole database. One of user delete whole database (in production).



markusfluer

markusfluer

2017-09-29 11:42

administrator   ~44527

Only Superadmins can delete or edit the core menus.
All other users will be able to create menues for themselves.

Translation is on the list

DenisChenu

DenisChenu

2017-09-29 12:17

developer   ~44528

About "Only Superadmins can delete or edit the core menus." and you think super admin of CE are not dumb sometimes ;).

Let this for next dev meeting :)

markusfluer

markusfluer

2017-09-29 12:24

administrator   ~44529

There will be a reset button ^^
Louis just told me, that we don't want a million users complaining about destroying their installation. :D

c_schmitz

c_schmitz

2018-01-24 15:50

administrator   ~46001

Version 3.1.0 released

Issue History

Date Modified Username Field Change
2017-09-27 19:46 DenisChenu New Issue
2017-09-27 19:46 DenisChenu Status new => assigned
2017-09-27 19:46 DenisChenu Assigned To => c_schmitz
2017-09-27 20:07 DenisChenu File Added: Capture du 2017-09-27 20-06-43.png
2017-09-27 20:07 DenisChenu Note Added: 44504
2017-09-29 11:42 markusfluer Note Added: 44527
2017-09-29 12:17 DenisChenu Note Added: 44528
2017-09-29 12:24 markusfluer Note Added: 44529
2017-10-10 15:37 DenisChenu Relationship added related to 12759
2018-01-19 14:34 c_schmitz Status assigned => new
2018-01-24 13:41 c_schmitz Status new => resolved
2018-01-24 13:41 c_schmitz Resolution open => fixed
2018-01-24 13:41 c_schmitz Fixed in Version => 3.0.x
2018-01-24 15:50 c_schmitz Note Added: 46001
2018-01-24 15:50 c_schmitz Status resolved => closed